
function CreateGrants()
	CreateBootstrapGrants()
end

function CreateBootstrapGrants()

	-- Basic Detention Centre
	
	Objective.CreateGrant			( "Grant_bootstraps", 20000, 10000 )
	
	Objective.CreateGrant			( "Grant_bootstraps_holdingcell", 0, 0 )	
	Objective.SetParent				( "Grant_bootstraps" )
	Objective.RequireEitherRoom		( "PaddedHoldingCell", "HoldingCell", true )
	
	Objective.CreateGrant			( "Grant_bootstraps_shower", 0, 0 )	
	Objective.SetParent				( "Grant_bootstraps" )
	Objective.RequireRoom			( "Shower", true )
	
	Objective.CreateGrant			( "Grant_bootstraps_yard", 0, 0 )
	Objective.SetParent				( "Grant_bootstraps" )
	Objective.RequireRoom			( "Yard", true )

	Objective.CreateGrant			( "Grant_bootstraps_kitchen", 0, 0 )
	Objective.SetParent				( "Grant_bootstraps" )
	Objective.RequireRoom			( "Kitchen", true )
	
	Objective.CreateGrant			( "Grant_bootstraps_canteen", 0, 0 )
	Objective.SetParent				( "Grant_bootstraps" )
	Objective.RequireRoom			( "Canteen", true )

	Objective.CreateGrant			( "Grant_bootstraps_guard", 0, 0 )
	Objective.SetParent				( "Grant_bootstraps" )
	Objective.RequireObjects		( "Guard", 2 )

	Objective.CreateGrant			( "Grant_bootstraps_chef", 0, 0 )
	Objective.SetParent				( "Grant_bootstraps" )
	Objective.RequireObjects		( "Cook", 2 )

	
	-- Basic Administrative set up
	
	Objective.CreateGrant			( "Grant_Administration", 5000, 5000 )
	
	Objective.CreateGrant			( "Grant_Administration_offices", 0, 0 )
	Objective.SetParent				( "Grant_Administration" )
	Objective.RequireRoomsAvailable	( "Office", 1 )
	
	Objective.CreateGrant			( "Grant_Administration_Warden", 0, 0 )
	Objective.SetParent				( "Grant_Administration" )
	Objective.RequireObjects		( "Warden", 1 )
	
	Objective.CreateGrant			( "Grant_Administration_headquarters", 0, 0 )
	Objective.SetParent				( "Grant_Administration" )
	Objective.RequireRoomsAvailable	( "Headquarters", 1 )
	
	Objective.CreateGrant			( "Grant_Administration_Accountant_Research", 0, 0 )
	Objective.SetParent				( "Grant_Administration" )
	Objective.RequireResearched		( "Finance" )
	
	Objective.CreateGrant			( "Grant_Administration_Accountant", 0, 0 )
	Objective.SetParent				( "Grant_Administration" )
	Objective.RequireObjects		( "Accountant", 1 )
	
end
